Subject: Re: bug#68678: 29.1; package-recompile-all should skip system packages in package-directory-list
From: Philip Kaludercic <[email-masked]>
To: Allen Li <[email-masked]>
Cc: [email-masked]
Date: Sun, 11 Feb 2024 21:52:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Philip Kaludercic <[email-masked]> writes:

> Allen Li <[email-masked]> writes:
>
>> On Sun, Jan 28, 2024 at 1:40 PM Philip Kaludercic <[email-masked]>
>> wrote:
>>>
>>> Allen Li <[email-masked]> writes:
>>> >
>>> > That works for me, though it's possible that someone may want errors
>>> > recompiling user packages surfaced directly.
>>>
>>> That is why I used `with-demoted-errors', which propagates errors if
>>> `debug-on-error' is non-nil.  Or do you mean permanently and
>>> specifically related to this issue, e.g. in form of a user option.
>>
>> My bad, yes, `with-demoted-errors' sounds fine to me.  At the risk of
>> repeating myself,
>> I don't have a use case for surfacing the errors, but I think some
>> other users might.
>
> OK, then this is the patch I propse:
>
>
>
> Any objections?

As there haven't been any comment, I have pushed the patch to master.  Thanks!